ZA-ACLSET(1)

NAME
za-aclset - Reset the archive ACL settings for the owner.

SYNOPSIS

za-aclset [OPTION...] [USERS...]

DESCRIPTION

za-aclset sets or updates the permissions on an archive store for the owner of that store.

When an archive is attached to a store, the owner of the store gets read-only or read/write permissions on the archive based on the configuration or command line options passed at the time of attaching. Also when an archive is attached to a store of a non-active user, no permissions for that non-active user are set because that's not possible.

In the first case it can be desirable to change the permissions at a later time because of company policy changes or because the original setting was just wrong.

In the second case, if the user is converted to an active user, it's required to reset the permissions because the owner won't have any permissions on his archive.

OPTIONS

-h serverpath
    Host to connect with. Default: file:///var/run/zarafa Three formats are allowed for this option: UNIX socket : file://path_to_the_UNIX_socket HTTP : http://host_or_IP:port/zarafa Secure HTTP : https://host_or_IP:port/zarafa

-s sslkey-file
    SSL key file for authentication.

-p sslkey-pass
    Password for the SSL key file.

-w  By default za-aclset makes an archive read-only for the user. By passing this option, the user will get read/write permissions in the attached archive.

--writable yes|no
    Explicitly enable or disable write permissions when setting permissions.

AUTHOR

Written by Zarafa.